Skip to main content
POST
/
messages
/
{id}
/
flagged
Flag a message
curl --request POST \
  --url https://{appId}.api-{region}.cometchat.io/v3/messages/{id}/flagged \
  --header 'Content-Type: application/json' \
  --header 'onBehalfOf: <onbehalfof>' \
  --data '
{
  "reasonId": "<string>",
  "remark": "<string>"
}
'
{
  "data": {}
}

Documentation Index

Fetch the complete documentation index at: https://cometchat-22654f5b-docs-android-v6-beta2.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

onBehalfOf
string
required

UID of the user on whose behalf the action is performed.

Path Parameters

id
string
required

Id of the message to be flagged.

Body

application/json
reasonId
string

Unique identifier of the moderation reason used to flag the message.

remark
string

Additional remark or comment about why the message is being flagged.

Response

200 - application/json

Message flagged successfully.

data
object